# Uses of Interface
net.shibboleth.idp.cas.proxy.ProxyValidator

Packages that use ProxyValidator
Package
Description
net.shibboleth.idp.cas.flow.impl
CAS protocol flow implementations.
net.shibboleth.idp.cas.proxy.impl
CAS protocol proxy implementations.

## Uses of ProxyValidator in net.shibboleth.idp.cas.flow.impl

Fields in net.shibboleth.idp.cas.flow.impl declared as ProxyValidator
Modifier and Type
Field
Description
`private final ProxyValidator`
ValidateProxyCallbackAction.`proxyValidator`
Validates the proxy callback endpoint.
Constructors in net.shibboleth.idp.cas.flow.impl with parameters of type ProxyValidator
Modifier
Constructor
Description
``
`ValidateProxyCallbackAction(ProxyValidator validator, TicketService ticketService)`
Constructor.

## Uses of ProxyValidator in net.shibboleth.idp.cas.proxy.impl

Classes in net.shibboleth.idp.cas.proxy.impl that implement ProxyValidator
Modifier and Type
Class
Description
`class`
`HttpClientProxyValidator`
Authenticates a CAS proxy callback endpoint using an `HttpClient` instance to establish the connection and a `TrustEngine` to verify the TLS certificate presented by the remote peer.